madkit.message.hook

## Enum HookMessage.AgentActionEvent

- java.lang.Object
- - java.lang.Enum<HookMessage.AgentActionEvent>
  - - madkit.message.hook.HookMessage.AgentActionEvent

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<HookMessage.AgentActionEvent>
  Enclosing class:
    HookMessage

      public static enum HookMessage.AgentActionEvent
      extends java.lang.Enum<HookMessage.AgentActionEvent>

  Enumeration representing agent actions that could be monitored using hooks.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AGENT_STARTED`
    `AGENT_TERMINATED`
    `BROADCAST_MESSAGE`
    `CREATE_GROUP`
    `LEAVE_GROUP`
    `LEAVE_ROLE`
    `REQUEST_ROLE`
    `SEND_MESSAGE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HookMessage.AgentActionEvent` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static HookMessage.AgentActionEvent[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CREATE_GROUP

          public static final HookMessage.AgentActionEvent CREATE_GROUP

    - #### REQUEST_ROLE

          public static final HookMessage.AgentActionEvent REQUEST_ROLE

    - #### LEAVE_GROUP

          public static final HookMessage.AgentActionEvent LEAVE_GROUP

    - #### LEAVE_ROLE

          public static final HookMessage.AgentActionEvent LEAVE_ROLE

    - #### SEND_MESSAGE

          public static final HookMessage.AgentActionEvent SEND_MESSAGE

    - #### BROADCAST_MESSAGE

          public static final HookMessage.AgentActionEvent BROADCAST_MESSAGE

    - #### AGENT_STARTED

          public static final HookMessage.AgentActionEvent AGENT_STARTED

    - #### AGENT_TERMINATED

          public static final HookMessage.AgentActionEvent AGENT_TERMINATED

  - ### Method Detail

    - #### values

          public static HookMessage.AgentActionEvent[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HookMessage.AgentActionEvent c : HookMessage.AgentActionEvent.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HookMessage.AgentActionEvent valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Fabien Michel, Olivier Gutknecht, Jacques Ferber - September 9 2019